<div class="divider-line">Experiment Selection</div>
<!-- Selected Experiment Row -->
 <!-- TODO: display once submitted -->
<ng-container *ngFor="let exp of this.comparedExperiments">
<mat-chip-set aria-label="Selected Experiments">
      <mat-chip>
        {{exp.displayName}}

      </mat-chip>
    </mat-chip-set>
  </ng-container>

<!-- Input form for selection -->
 <!-- TODO: hide once selection submitted -->
<!-- <ng-container *ngIf="ComparisonStatus == 'CREATED'"> -->
<form>
  <mat-form-field appearance="fill" class="selection-form-field">
    <mat-chip-grid #chipGrid aria-label="Experiment selection">
      @for (experiment of selectedExperiments; track experiment) {
        <mat-chip-row (removed)="remove(experiment)">
          {{experiment}}
          <button matChipRemove [attr.aria-label]="'remove ' + experiment">
            <mat-icon>cancel</mat-icon>
          </button>
        </mat-chip-row>
      }
    </mat-chip-grid>
    <input placeholder="New Experiment ..." #experimentInput [formControl]="experimentCtrl" [matChipInputFor]="chipGrid"
    [matAutocomplete]="auto" [matChipInputSeparatorKeyCodes]="separatorKeysCodes" [disabled]="this.selectionConfirmed"/>
    <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event)">
      @for (experiment of filteredExperiments | async; track experiment) {
      <!-- @for (experiment of filteredExperiments; track experiment) { -->
        <mat-option [value]="experiment">{{experiment}}</mat-option>
      }
    </mat-autocomplete>
    <mat-label>Select Experiments to Compare</mat-label>
  </mat-form-field>
</form>

<!-- BUTTONS -->
<div>
  <ng-container *ngIf="!this.canSubmit">
    <button mat-raised-button color="accent" [disabled]="!this.canSelect" (click)="confirmSelection()">Confirm
      Selection</button>
  </ng-container>
  <ng-container *ngIf="this.canSubmit">
    <button mat-raised-button color="accent" [disabled]="!this.canSubmit" (click)="onSubmit()">Submit</button>
  </ng-container>
  <button mat-raised-button color="warn" [disabled]="this.selectedExperiments.length < 1" (click)="clearAllSelected()">Clear</button>
</div>
<!-- </ng-container> -->
